  /******************************************************************************
  * @Example PT32X003_GPIO
  * @author  ӦÿŶ
  * @version V1.0.0
  * @date    2022/5/27
  * @brief   ͨʱRGB LEDһʱ˸
  *          
  ******************************************************************************
  * @attention	ʹø̣ҪϵJ17RGB_R,RGB_G,RGB_B̽
  *		
  *****************************************************************************/

#include "PT32X003.h"
#define		LED_BLUE_PORT		GPIOC
#define		LED_BLUE_PIN		GPIO_Pin_3

#define		LED_RED_PORT		GPIOC
#define		LED_RED_PIN		  GPIO_Pin_6

#define		BLUE_LED_OFF()	GPIO_SetBits(LED_BLUE_PORT, LED_BLUE_PIN)
#define		BLUE_LED_ON()	GPIO_ResetBits(LED_BLUE_PORT, LED_BLUE_PIN)

#define		RED_LED_OFF()	GPIO_SetBits(LED_RED_PORT, LED_RED_PIN)
#define		RED_LED_ON()	GPIO_ResetBits(LED_RED_PORT, LED_RED_PIN)

void Software_Delay(void)		//ʱ
{
	u8 i, j,x,y;
	for(i=0; i<100; i++)
		for(j=0; j<100; j++)
			for(x=0; x<100; x++);
				for(y=0; y<100; y++);
}

/**
* @brief LEDGPIO
* @param 
* @retval 
*/
void LED_Driver(void)
{
	GPIO_InitTypeDef GPIO_InitStructure;				//һGPIO_InitTypeDef͵Ľṹ
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_6;			//ѡҪƵGPIO
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OutPP;		//ģʽΪͨ
	GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_NOPULL;	//ƫ
	GPIO_Init(GPIOC, &GPIO_InitStructure);				//ÿ⺯ʼGPIO
	
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_3;			//ѡҪƵGPIO
	GPIO_Init(GPIOC, &GPIO_InitStructure);				//ÿ⺯ʼGPIO
	
	GPIO_SetBits(GPIOC, GPIO_Pin_6);					//GPIO״̬
	GPIO_SetBits(GPIOC, GPIO_Pin_3);					//GPIO״̬
}

int main (void)
{
	LED_Driver();
	while(1)
	{
		Software_Delay();
		BLUE_LED_OFF();
		RED_LED_ON(); 

		Software_Delay();
		RED_LED_OFF();
		BLUE_LED_ON();


	}
}

#ifdef  USE_FULL_ASSERT
/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(u8* file, u32 line)
{
	/* User can add his own implementation to report the file name and line number,
	   ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */
	printf("Wrong parameters value: file %s on line %lu\r\n", file, line);
	/* Infinite loop */
	while (1)
	{
	}
}
#endif


