  /******************************************************************************
  * @Example PT32X003_EXTI
  * @author  ӦÿŶ
  * @version V1.1.0
  * @date    2020/1/27
  * @brief   ͨEXTIжϣUSER_KEY,ͷUSER_KEYϨ
  *          
  ******************************************************************************
  * @attention	ʹø̣
  *				ҪϵJ17RGB_R,RGB_G,RGB_B̽
  *				ҪϵJ18SW2_USER_KEYPD6̽ӣû
  *						
  *****************************************************************************/

#include "PT32X003.h"

#define		LED_BLUE_PORT	GPIOC
#define		LED_BLUE_PIN	GPIO_Pin_3

#define		BLUE_LED_OFF()	GPIO_SetBits(LED_BLUE_PORT, LED_BLUE_PIN)
#define		BLUE_LED_ON()	GPIO_ResetBits(LED_BLUE_PORT, LED_BLUE_PIN)


/**
* @brief LEDGPIO
* @param 
* @retval 
*/
void LED_Driver(void)
{
	GPIO_InitTypeDef GPIO_InitStructure;				//һGPIO_InitTypeDef͵Ľṹ
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OutPP;		//ģʽΪͨ
	GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_NOPULL;	//ƫ
	GPIO_InitStructure.GPIO_Pin = LED_BLUE_PIN;			//ѡҪƵGPIO
	GPIO_Init(LED_BLUE_PORT, &GPIO_InitStructure);		//ʼGPIO
	
	GPIO_SetBits(LED_BLUE_PORT, LED_BLUE_PIN);			//GPIO״̬
}

/**
* @brief ûźж
* @param 
* @retval 
*/
void Switch_Interrupt_config(void)
{
	NVIC_InitTypeDef NVIC_InitStruct;					//һNVIC_InitTypeDef͵Ľṹ
	GPIO_InitTypeDef GPIO_InitStructure;				//һGPIO_InitTypeDef͵Ľṹ

	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_6;			//ѡҪƵGPIO
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IN;		//ģʽΪģʽ
	GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_UP;		//ʹ
	GPIO_Init(GPIOD, &GPIO_InitStructure);				//ÿ⺯ʼGPIO
	
	/*ⲿж*/
	EXTI_TriTypeConfig(EXTID,GPIO_Pin_6,EXTI_Trigger_RisingFalling);//жͣ˫
	EXTI_ITConfig(EXTID,EXTI_IT_6,ENABLE);							//ʹⲿж
	
	/*NVIC*/
	NVIC_InitStruct.NVIC_IRQChannel = EXTID_IRQn;		//ж
	NVIC_InitStruct.NVIC_IRQChannelCmd = ENABLE;		//Ƿʹж
	NVIC_InitStruct.NVIC_IRQChannelPriority = 0x00;		//жȼ
	NVIC_Init(&NVIC_InitStruct);						//ʼNVIC
}

extern u8 pb_IntFlag;

int main (void)
{
	LED_Driver();
	Switch_Interrupt_config();
	while(1)
	{		
		if(pb_IntFlag & 0x01)
		{
			if(LED_BLUE_PORT->DR & LED_BLUE_PIN)	
				BLUE_LED_ON();
			else									
				BLUE_LED_OFF();
			pb_IntFlag = 0;
		}
	}
}

#ifdef  USE_FULL_ASSERT
/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(u8* file, u32 line)
{
	/* User can add his own implementation to report the file name and line number,
	   ex: printf("Wrong parameters value: file %s on line %lu\r\n", file, line) */
	printf("Wrong parameters value: file %s on line %lu\r\n", file, line);
	/* Infinite loop */
	while (1)
	{
	}
}
#endif


