/******************************************************************************
  * @Example PT32X003_Uart_Tx_Base
  * @author  ӦÿŶ
  * @version V1.0.0
  * @date    2022/5/27
  * @brief   ͨʱUARTһʱ䷢ַ
  *          
  ******************************************************************************
  * @attention	Ϊ384001λֹͣλУ
  *				ʹø̣ҪJ20RXPD5̽ӣTXPD6̽
  *
  *****************************************************************************/
	
#include "PT32X003.h"


void Software_Delay(void)//ʱ
{
	u8 i, j,x;
	for(i=0; i<200; i++)
		for(j=0; j<200; j++)
			for(x=0; x<20; x++);
}

/**
* @brief UART
* @param 
* @retval 
*/
void UART_GPIO_Config(void)
{
	GPIO_DigRemapConfig(AFIOD, AFIO_Pin_5|AFIO_Pin_6, AFIO_AF_0,ENABLE);	//RXTXֹܸ
}

/**
* @brief ʼUARTģĹ乤ʽ
* @param 
* @retval 
*/
void UART_Mode_Config(void)
{
	UART_InitTypeDef  UART_InitStruct;						//һUART_InitTypeDef͵Ľṹ
	
	UART_StructInit(&UART_InitStruct);						//ʹĬֵʼUART_InitStruct
	
	UART_InitStruct.UART_BaudRate = 38400;					//ò 
	UART_InitStruct.UART_WordLength = UART_WP_8D;			//λ
	UART_InitStruct.UART_StopBits = UART_STOP_1b;			//ֹͣλ
	UART_InitStruct.UART_Parity = UART_Parity_Event;				//Уλ
	UART_InitStruct.UART_Mode = UART_RE_Enable;				//RXʹ
	UART_InitStruct.UART_LoopBack=UART_LoopBack_Disable;	//عر
	
	UART_Init(UART0, &UART_InitStruct);						//ʼUART

	UART_Cmd(UART0, ENABLE);								//ʹUART
}

/**
* @brief UARTģ
* @param 
* @retval 
*/
void UART_Driver(void)
{
	UART_GPIO_Config();
	UART_Mode_Config();
}

int main (void)
{
	u8 *p = "Welcome to use serial port\r\n\r\n";
	UART_Driver();
	while(1)
	{
		Software_Delay();
		printf("Hello!\r\n");
		UART_StringSend(UART0,p);
		
	}
}


#ifdef  USE_FULL_ASSERT
/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(u8* file, u32 line)
{
	/* User can add his own implementation to report the file name and line number,
	   ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */
	printf("Wrong parameters value: file %s on line %lu\r\n", file, line);
	/* Infinite loop */
	while (1)
	{
	}
}
#endif


