  /******************************************************************************
  * @Example PT32X003_Analog_Channel
  * @author  ӦÿŶ
  * @version V1.1.0
  * @date    2020/1/27
  * @brief   ͨADCɼڲοѹ3.3VΪ׼һʱӡһADCתĵѹ
  *          
  ******************************************************************************
  * @attention	Ϊ384001λֹͣλУ
  *				ʹø̣
  *						ҪJ20RXPD5̽ӣTXPD6̽
  *						ṩ4ADCͨòο˶4궨塰Sample_xxx,Ӧĺ궨ֵΪ1жӦĹ
  *						Sample_CH0Ϊ1ʱҪJ19ADC0ֶ̽ӣɵ軬ŵѹADC
  *
  *****************************************************************************/
	
#include "PT32X003.h"

#define Sample_CH0		0
#define Sample_BG1v2	0
#define Sample_VDD      1
#define Sample_GND      0
void Software_Delay(void)
{
	u8 i, j,x;
	for(i=0; i<100; i++)
		for(j=0; j<100; j++)
			for(x=0; x<100; x++);
}

/**
* @brief UART
* @param 
* @retval 
*/
void UART_GPIO_Config(void)
{
	/* UARTܽŵĸù */
	GPIO_DigRemapConfig(AFIOD, AFIO_Pin_5, AFIO_AF_0,ENABLE);	//RXֹܸ
	GPIO_DigRemapConfig(AFIOD, AFIO_Pin_6, AFIO_AF_0,ENABLE);	//TXֹܸ
}

/**
* @brief ʼUARTģĹ乤ʽ
* @param 
* @retval 
*/
void UART_Mode_Config(void)
{
	UART_InitTypeDef  UART_InitStruct;						//һUART_InitTypeDef͵Ľṹ
	
	UART_StructInit(&UART_InitStruct);						//ʹĬֵʼUART_InitStruct
	
	UART_InitStruct.UART_BaudRate = 38400;					//ò 
	UART_InitStruct.UART_WordLength = UART_WP_8D;			//λ
	UART_InitStruct.UART_StopBits = UART_STOP_1b;			//ֹͣλ
	UART_InitStruct.UART_Parity = UART_Parity_Event;				//Уλ
	UART_InitStruct.UART_Mode = UART_Mode_RxEnable;				//RXʹ
	UART_InitStruct.UART_LoopBack=UART_LoopBack_Disable;	//عر
	
	UART_Init(UART0, &UART_InitStruct);						//ʼUART

	UART_Cmd(UART0, ENABLE);								//ʹUART
}

/**
* @brief UARTģ
* @param 
* @retval 
*/
void UART_Driver(void)
{
	UART_GPIO_Config();
	UART_Mode_Config();
}

/**
* @brief ADC
* @param 
* @retval 
*/
void ADC_GPIO_Config(void)
{
	GPIO_AnaRemapConfig(AFIOA, GPIO_Pin_2, ENABLE);			//ADC_IN0ģ⹦ܸ
}

/**
* @brief ʼADCģĹ乤ʽ
* @param 
* @retval 
*/
void ADC_Mode_Config(void)
{
	ADC_InitTypeDef  ADC_InitStruct;						//һADC_InitTypeDef͵Ľṹ
	
	ADC_StructInit(&ADC_InitStruct);						//ʹĬֵʼADC_InitStruct
    ADC_Init(ADC, &ADC_InitStruct);		
	
	#if Sample_CH0
    ADC_ChannelConfig(ADC,ADC_Channel_0);
	#endif
	
	#if Sample_BG1v2
    ADC_ChannelConfig(ADC,ADC_Channel_14);
	#endif
    
    #if Sample_VDD
    ADC_ChannelConfig(ADC,ADC_Channel_12);
	#endif
    
    #if Sample_GND
    ADC_ChannelConfig(ADC,ADC_Channel_13);
	#endif
	
	ADC_Cmd(ADC, ENABLE);									//ADC蹦
	while(!ADC_GetFlagStatus(ADC, ADC_FLAG_RDY));			//ȴADC
}

/**
* @brief ADCģ
* @param 
* @retval 
*/
void ADC_Driver(void)
{	
	ADC_GPIO_Config();
	ADC_Mode_Config();
}




int main (void)
{
    u32 Inter_adcValue = 0;
    float temp = 0.0;
    float Volt_Read = 0.0;
	UART_Driver();
	ADC_Driver();							//ADC蹦
	while(!ADC_GetFlagStatus(ADC, ADC_FLAG_RDY));			//ȴADC
	while(1)
	{
		
		Software_Delay();
		ADC_ConversionConfig(ADC,ENABLE);					//ת
		while(!ADC_GetFlagStatus(ADC, ADC_FLAG_EOC));		//ȴADCת
		Inter_adcValue = ADC_GetConversionValue(ADC);		//ȡ
		
		temp = (Inter_adcValue & 0xFFF);
		temp = (temp / 4095);
		temp *= 3.3;
		Volt_Read = temp;
		printf("ѹ:%.2f\r\n",Volt_Read);
			
	}
}


#ifdef  USE_FULL_ASSERT
/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(u8* file, u32 line)
{
	/* User can add his own implementation to report the file name and line number,
	   ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */
	printf("Wrong parameters value: file %s on line %d\r\n", file, line);
	/* Infinite loop */
	while (1)
	{
	}
}
#endif


