/******************************************************************************
  * @Example PT32X005_WDG
  * @author  ӦÿŶ
  * @version V1.1.0
  * @date    2020/1/27
  * @brief	1IWDGĿڿŹλ󣬵ƣ
  * 		״ζNMI_HandlerжϣڲιҲжϱ־ڶζIWDGλʱϨֱִ򣬵
  *                 
  ******************************************************************************
  * @attention	ʹø̣
  *				ҪϵJ17RGB_R,RGB_G,RGB_B̽
  *             ȡעwhileеιһֱ״̬Ƴ
  *****************************************************************************/
#include "PT32X003.h"

#define		LED_RED_PORT		GPIOC
#define		LED_RED_PIN		GPIO_Pin_6

#define		RED_LED_OFF()	GPIO_SetBits(LED_RED_PORT, LED_RED_PIN)
#define		RED_LED_ON()	GPIO_ResetBits(LED_RED_PORT, LED_RED_PIN)

/**
* @brief LEDGPIO
* @param 
* @retval 
*/
void LED_PIN_Configure(void)
{
	GPIO_InitTypeDef GPIO_InitStructure;				//һGPIO_InitTypeDef͵Ľṹ
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OutPP;		//ģʽΪͨ
	GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_NOPULL;	//ƫ
	GPIO_InitStructure.GPIO_Pin = LED_RED_PIN;			//ѡҪƵGPIO
	GPIO_Init(LED_RED_PORT, &GPIO_InitStructure);		//ÿ⺯ʼGPIO
	GPIO_SetBits(LED_RED_PORT, LED_RED_PIN);			//ÿ⺯GPIO״̬
}

/**
* @brief ʼIWDG IWDG ĳʱʱ䣬Tout = (1/32768) * rlv (S)
* @param rlv:ֵȡֵΧΪ0-0xFFFF
* @retval 
*/
void IWDG_Driver(u32 rlv)
{	
	WDG_LockConfig(IWDG, IWDG_LOCK_UnLock);	//WDGĴ
	WDG_SetReload(IWDG, rlv);				//װؼĴֵ
	WDG_ReloadCounter(IWDG);				//ι(ؼ)
  	WDG_ResetConfig(IWDG, ENABLE);			//Źλʹ
	WDG_Cmd(IWDG, ENABLE);					//ʹIWDG
	WDG_LockConfig(IWDG, IWDG_LOCK_Lock);	//סWDGĴ
}

/**
* @brief IWDGι
* @param 
* @retval 
*/
void IWDG_Feed(void)
{
	WDG_LockConfig(IWDG, IWDG_LOCK_UnLock);	//WDGĴ
	WDG_ReloadCounter(IWDG);				//ι(ؼ)
	WDG_LockConfig(IWDG, IWDG_LOCK_Lock);	//סWDGĴ
}

void Delay(u32 delay)
{
	while(delay > 0)	
		delay--;
}

int main (void)
{
	LED_PIN_Configure();
	IWDG_Driver(32768);	// IWDGĳʱʱ䣺1s	
	RED_LED_OFF();
	Delay(2400000);
	while(1)
	{
		RED_LED_ON();
	//	IWDG_Feed();//ι

	}
}

#ifdef  USE_FULL_ASSERT
/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(u8* file, u32 line)
{
	/* User can add his own implementation to report the file name and line number,
	   ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */
	printf("Wrong parameters value: file %s on line %lu\r\n", file, line);
	/* Infinite loop */
	while (1)
	{
	}
}
#endif


