/******************************************************************************
  * @Example PT32X003_Uart_RX_Repeat
  * @author  ӦÿŶ
  * @version V1.1.0
  * @date    2020/1/27
  * @brief   ڽյݽжϣյݴӡ
  *          
  ******************************************************************************
  * @attention	Ϊ384001λֹͣλУ
  *				ʹø̣ҪJ20RXPD5̽ӣTXPD6̽
  *                         ҪUSER_KEY߶Ͽ
  *				
  *****************************************************************************/
	
#include "PT32X003.h"


/**
* @brief UART
* @param 
* @retval 
*/
void UART_GPIO_Config(void)
{
	/* UARTܽŵĸù */
	GPIO_DigRemapConfig(AFIOD, AFIO_Pin_5, AFIO_AF_0,ENABLE);	//RXֹܸ
	GPIO_DigRemapConfig(AFIOD, AFIO_Pin_6, AFIO_AF_0,ENABLE);	//TXֹܸ
}

/**
* @brief ʼUARTģĹ乤ʽ
* @param 
* @retval 
*/
void UART_Mode_Config(void)
{
	UART_InitTypeDef UART_InitStruct;							//һUART_InitTypeDef͵Ľṹ
	NVIC_InitTypeDef NVIC_InitStruct;							//һNVIC_InitTypeDef͵Ľṹ
	
	/*NVIC*/
	NVIC_InitStruct.NVIC_IRQChannel = UART0_IRQn;				//ж
	NVIC_InitStruct.NVIC_IRQChannelCmd = ENABLE;				//Ƿʹж
	NVIC_InitStruct.NVIC_IRQChannelPriority = 0x00;				//жȼ
	NVIC_Init(&NVIC_InitStruct);								//ʼNVIC

	UART_StructInit(&UART_InitStruct);							//ʹĬֵʼUART_InitStruct
	
	UART_InitStruct.UART_BaudRate = 38400;						//ò 
	UART_InitStruct.UART_WordLength = UART_WP_8D;				//λ
	UART_InitStruct.UART_StopBits = UART_StopBits_1;				//ֹͣλ
	UART_InitStruct.UART_Parity = UART_Parity_Event;					//Уλ
	UART_InitStruct.UART_Mode = UART_Mode_RxEnable;					//RXʹ
	UART_InitStruct.UART_LoopBack=UART_LoopBack_Disable;		//عر
	
	UART_Init(UART0, &UART_InitStruct);							//ʼUART
	
	UART_FifoReset(UART0,Rx_FIFO);								//FIFOλ
	UART_FifoReset(UART0,Tx_FIFO);								//FIFOλ
	UART_ITConfig(UART0,UART_IE_RXNEI,ENABLE);					//FIFOǿжʹ
	
	UART_Cmd(UART0,ENABLE);										//ʹUART
}

/**
* @brief UARTģ
* @param 
* @retval 
*/
void UART_Driver(void)
{
	UART_GPIO_Config();
	UART_Mode_Config();
}

extern u8 uart_flag;
extern u8 uart_rxbuffer[64];
extern u8 uart_rxRecIndex;

int main (void)
{
	u16 cnt;
	UART_Driver();
	while(1)
	{
		if(uart_flag)
		{
			for(cnt = 0;cnt<uart_rxRecIndex;cnt++)
			{
				UART_SendData(UART0,uart_rxbuffer[cnt]);
			}
			if(cnt == uart_rxRecIndex)
			{
				uart_flag = 0;
				uart_rxRecIndex=0;
			}
		}
	}
}


#ifdef  USE_FULL_ASSERT
/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(u8* file, u32 line)
{
	/* User can add his own implementation to report the file name and line number,
	   ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */
	printf("Wrong parameters value: file %s on line %lu\r\n", file, line);
	/* Infinite loop */
	while (1)
	{
	}
}
#endif


