  /******************************************************************************
  * @Example PT32X003_Analog_Channel
  * @author  ӦÿŶ
  * @version V1.1.0
  * @date    2020/1/27
  * @brief   ͨADCɼڲοѹ3.3VΪ׼һʱӡһADCתĵѹ
  *          
  ******************************************************************************
  * @attention	Ϊ384001λֹͣλУ
  *				ʹø̣
  *						ҪJ20RXPD5̽ӣTXPD6̽
  *						ṩ4ADCͨòο˶4궨塰Sample_xxx,Ӧĺ궨ֵΪ1жӦĹ
  *						Sample_CH0Ϊ1ʱҪJ19ADC0ֶ̽ӣɵ軬ŵѹADC
  *
  *****************************************************************************/
	
#include "PT32X003.h"

void Software_Delay(void)
{
	u8 i, j,x;
	for(i=0; i<100; i++)
		for(j=0; j<100; j++)
			for(x=0; x<100; x++);
}

/**
* @brief UART
* @param 
* @retval 
*/
void UART_GPIO_Config(void)
{
	/* UARTܽŵĸù */
	GPIO_DigRemapConfig(AFIOD, AFIO_Pin_5, AFIO_AF_0,ENABLE);	//RXֹܸ
	GPIO_DigRemapConfig(AFIOD, AFIO_Pin_6, AFIO_AF_0,ENABLE);	//TXֹܸ
}

/**
* @brief ʼUARTģĹ乤ʽ
* @param 
* @retval 
*/
void UART_Mode_Config(void)
{
	UART_InitTypeDef  UART_InitStruct;						//һUART_InitTypeDef͵Ľṹ
	
	UART_StructInit(&UART_InitStruct);						//ʹĬֵʼUART_InitStruct
	
	UART_InitStruct.UART_BaudRate = 38400;					//ò 
	UART_InitStruct.UART_WordLength = UART_WP_8D;			//λ
	UART_InitStruct.UART_StopBits = UART_STOP_1b;			//ֹͣλ
	UART_InitStruct.UART_Parity = UART_Parity_Event;				//Уλ
	UART_InitStruct.UART_Mode = UART_Mode_RxEnable;	
	UART_InitStruct.UART_LoopBack=UART_LoopBack_Disable;	//عر
	
	UART_Init(UART0, &UART_InitStruct);						//ʼUART

	UART_Cmd(UART0, ENABLE);								//ʹUART
}

/**
* @brief UARTģ
* @param 
* @retval 
*/
void UART_Driver(void)
{
	UART_GPIO_Config();
	UART_Mode_Config();
}

/**
* @brief ADC
* @param 
* @retval 
*/
void ADC_GPIO_Config(void)
{
	GPIO_AnaRemapConfig(AFIOA, GPIO_Pin_2, ENABLE);			//ADC_IN0ģ⹦ܸ
}

/*******************************************************************************
*Function:	ADC_Mode_Config
*Description:	ADC
*Input:		
*Return:		
*Others:
			úʼADCģĹ乤ʽ
*******************************************************************************/
void ADC_Mode_Config(void)
{
/**NVICж*****************************************************************/
	NVIC_InitTypeDef NVIC_InitStruct;
	ADC_InitTypeDef  ADC_InitStruct;
    
//ʹNVIC-ADCж
	NVIC_InitStruct.NVIC_IRQChannel = ADC_IRQn;
	NVIC_InitStruct.NVIC_IRQChannelCmd = ENABLE;
	NVIC_InitStruct.NVIC_IRQChannelPriority = 0x00;
	NVIC_Init(&NVIC_InitStruct);
/**ADCģ*****************************************************************/
    ADC_StructInit(&ADC_InitStruct);
    
	ADC_Init(ADC, &ADC_InitStruct);

    
    ADC_SetSampleTime(ADC, 250);
    ADC_ITConfig(ADC,ENABLE);
	ADC_Cmd(ADC, ENABLE);						//ADC蹦
	while(!ADC_GetFlagStatus(ADC, ADC_FLAG_RDY));			//ȴADC\
	

	ADC_ConversionConfig(ADC,ENABLE);	//һת
}



/*******************************************************************************
*Function:	ADC_Driver
*Description:	ADCģ
*Input:		
*Return:		
*Others:
*******************************************************************************/
void ADC_Driver(void)
{	
	ADC_GPIO_Config();
	ADC_Mode_Config();
}


extern u16 value;
extern u8 ADC_flag;
int main (void)
{
	UART_Driver();
	ADC_Driver();
	while(1)
	{
		ADC_ConversionConfig(ADC,ENABLE);	//ת
		Software_Delay();
		if(ADC_flag==1)
		{
			ADC_flag=0;
			printf("ADC Value:%d\r\n",value);
		}
	}
}




#ifdef  USE_FULL_ASSERT
/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(u8* file, u32 line)
{
	/* User can add his own implementation to report the file name and line number,
	   ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */
	printf("Wrong parameters value: file %s on line %d\r\n", file, line);
	/* Infinite loop */
	while (1)
	{
	}
}
#endif


