/******************************************************************************
  * @file    PT32X003_it.c
  * @author  ӦÿŶ
  * @version V1.1.0
  * @date    2020/1/27
  * @brief    This file provides all interrupt service routine.
  *          
  ******************************************************************************
  * @attention
  *
  *
  *****************************************************************************/
  
/* Includes ------------------------------------------------------------------------------------------------*/
#include "PT32X003_it.h"


/** @defgroup IT
  * @brief IT driver modules
  * @{
  */
  
/* Private typedef -----------------------------------------------------------------------------------------*/
/* Private define ------------------------------------------------------------------------------------------*/
/* Private macro -------------------------------------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------------------------------------*/
/* Private function prototypes -----------------------------------------------------------------------------*/
/* Private functions ---------------------------------------------------------------------------------------*/



/*********************************************************************************************************//**
 * @brief   This function handles NMI exception.
 * @retval  None
 ************************************************************************************************************/
void NMI_Handler(void)
{
}

/*********************************************************************************************************//**
 * @brief   This function handles Hard Fault exception.
 * @retval  None
 ************************************************************************************************************/
void HardFault_Handler(void)
{
  	while (1);
}

/*********************************************************************************************************//**
 * @brief   This function handles SVCall exception.
 * @retval  None
 ************************************************************************************************************/
void SVC_Handler(void)
{
}

/*********************************************************************************************************//**
 * @brief   This function handles PendSVC exception.
 * @retval  None
 ************************************************************************************************************/
void PendSV_Handler(void)
{
}


/*********************************************************************************************************//**
 * @brief   This function handles FLASH interrupt.
 * @retval  None
 ************************************************************************************************************/
void IFMC_Handler(void)
{
}

/*********************************************************************************************************//**
 * @brief   This function handles PA interrupt.
 * @retval  None
 ************************************************************************************************************/
void EXTIA_Handler(void)
{
}

/*********************************************************************************************************//**
 * @brief   This function handles PB interrupt.
 * @retval  None
 ************************************************************************************************************/
void EXTIB_Handler(void)
{
}

/*********************************************************************************************************//**
 * @brief   This function handles PC interrupt.
 * @retval  None
 ************************************************************************************************************/
void EXTIC_Handler(void)
{
}

/*********************************************************************************************************//**
 * @brief   This function handles PD interrupt.
 * @retval  None
 ************************************************************************************************************/
void EXTID_Handler(void)
{
}


/*********************************************************************************************************//**
 * @brief   This function handles ADC interrupt.
 * @retval  None
 ************************************************************************************************************/
void ADC_Handler(void)
{
}

/*********************************************************************************************************//**
 * @brief   This function handles SPI0 interrupt.
 * @retval  None
 ************************************************************************************************************/
void SPI_Handler(void)
{
}



/*********************************************************************************************************//**
 * @brief   This function handles UART0 interrupt.
 * @retval  None
 ************************************************************************************************************/
void UART0_Handler(void)
{
	
}

/*********************************************************************************************************//**
 * @brief   This function handles I2C0 interrupt.
 * @retval  None
 ************************************************************************************************************/
void I2C_Handler(void)
{
}


/*********************************************************************************************************//**
 * @brief   This function handles TIMER2 interrupt.
 * @retval  None
 ************************************************************************************************************/
void TIM1_Handler(void)
{
}

/*********************************************************************************************************//**
 * @brief   This function handles TIMER2 interrupt.
 * @retval  None
 ************************************************************************************************************/
void TIM2_Handler(void)
{
}
/*********************************************************************************************************//**
 * @brief   This function handles TIMER3 interrupt.
 * @retval  None
 ************************************************************************************************************/
void TIM3_Handler(void)
{
}
/*********************************************************************************************************//**
 * @brief   This function handles TIMER4 interrupt.
 * @retval  None
 ************************************************************************************************************/
void TIM4_Handler(void)
{
}


/**
  * @}
  */

