/******************************************************************************
  * @Example PT32X003_TIM4_Wake_Low_Power
  * @author  ӦÿŶ
  * @version V1.1.0
  * @date    2020/1/27
  * @brief   ÿ2ҽһ˯ģʽͨTIM4жϻ
  *          
  ******************************************************************************
  * @attention	ʹø̣
  *							0ŷķR32J16ԲоƬ
  *							ʹø̣ӦϿDemoеĶ·ñߣصķӿڣJ17,J19,J9,J18ȣĶ⹦
  *							ʹø̣Ӧþⲿ·Ķ⹦
  *							ʹ32Khzµ"TIM4"˯ߣ˯ʱ͹Ϊ24-27uA
  *							
  *****************************************************************************/
	
#include "PT32X003.h"


void Software_Delay(void)
{
	u8 i, j,x;
	for(i=0; i<200; i++)
		for(j=0; j<200; j++)
			for(x=0; x<50; x++);
}

/**
* @brief Timer4ʼģʽ
* @param 
* @retval 
*/
void Timer4_Mode_Config(void)
{
	TIM_TimeBaseInitTypeDef Time4BaseInit; 			//һTIM_TimeBaseInitTypeDef͵Ľṹ
	NVIC_InitTypeDef NVIC_InitStruct;     			//һNVIC_InitTypeDef͵Ľṹ
	
	/*NVIC*/
	NVIC_InitStruct.NVIC_IRQChannel = TIM4_IRQn;	//ж
	NVIC_InitStruct.NVIC_IRQChannelCmd = ENABLE;	//Ƿʹж
	NVIC_InitStruct.NVIC_IRQChannelPriority = 0x02;	//жȼ
	NVIC_Init(&NVIC_InitStruct);					//ʼNVIC
		
	Time4BaseInit.Prescaler = 31;					//÷Ƶֵ
	Time4BaseInit.MatchValue = 2000;					//װֵ
	Time4BaseInit.OVRSTEN = ENABLE;					//Ƿλ
	TIM_TimeBaseInit(TIM4,&Time4BaseInit);			//ʼTIM4
	
	TIM_ITConfig(TIM4,TIMx_IE_UIE, ENABLE);		//ʹܼж
	TIM_Cmd(TIM4,ENABLE);							//ʹTIM4
}

/**
* @brief Timer4ر
* @param 
* @retval 
*/
void Timer4_Disable(void)
{
	TIM_ITConfig(TIM4,TIMx_IE_UIE, DISABLE);		//ֹж
	NVIC_DisableIRQ(TIM4_IRQn);						//NVICֹж
	TIM_Cmd(TIM4,DISABLE);							//رնʱ
}

/**
* @brief GPIO
* @param 
* @retval 
*/
void GPIO_Driver(void)
{
	GPIO_InitTypeDef GPIO_InitStructure;			//һGPIO_InitTypeDef͵Ľṹ
	GPIO_StructInit(&GPIO_InitStructure);
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_All;		//ѡҪƵGPIO
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IN;	//ģʽΪ
	GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_DOWN;	//
	GPIO_Init(GPIOA, &GPIO_InitStructure);			//ʼGPIO
	GPIO_Init(GPIOB, &GPIO_InitStructure);			//ʼGPIO
	GPIO_Init(GPIOC, &GPIO_InitStructure);			//ʼGPIO
	GPIO_Init(GPIOD, &GPIO_InitStructure);			//ʼGPIO
}

int main (void)
{
	Software_Delay();								//CPUոչ磬ҪģʽҪ֤8ϵʱ,ڵȴڲ͹LDOȶ.......
	GPIO_Driver();
	while(1)
	{
		
		
		Software_Delay();
        Timer4_Mode_Config();						//TIM4ʱж
        while((TIM4->CR1&0x01) != 1);
		PWR_EnterSTANDBYMode(PWR_STANDBYEntry_WFI); //˯ߣжϻ  -- 1뻽--TIMER4ж
		
		Timer4_Disable();
		Software_Delay();


	}
}


#ifdef  USE_FULL_ASSERT
/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(u8* file, u32 line)
{
	/* User can add his own implementation to report the file name and line number,
	   ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */
	printf("Wrong parameters value: file %s on line %lu\r\n", file, line);
	/* Infinite loop */
	while (1)
	{
	}
}
#endif


