/******************************************************************************
  * @Example PT32X003_EXTI_Wake_Low_Powe
  * @author  ӦÿŶ
  * @version V1.1.0
  * @date    2020/1/27
  * @brief	ϵ˯ģʽPD6(߶̽GND)
  *          
  ******************************************************************************
  * @attention ʹø̣
  *							0ŷķR32J16ԲоƬ
  *							ʹø̣ӦϿDemoеĶ·ñߣصķӿڣJ17,J19,J9,J18ȣĶ⹦
  *							ʹø̣Ӧþⲿ·Ķ⹦
  *							̹ر32KhzLSIʱӣʹⲿжϻ˯ߣ˯ʱ͹Ϊ0.8uA
  *
  *****************************************************************************/
	
#include "PT32X003.h"

EXTIITrigger_TypeDef intType;


void Software_Delay(void)
{
	u8 i, j,x;
	for(i=0; i<200; i++)
		for(j=0; j<200; j++)
			for(x=0; x<50; x++);
}

/**
* @brief ûźж
* @param 
* @retval 
*/
void Switch_Interrupt_config(void)
{
	NVIC_InitTypeDef NVIC_InitStruct;								//һNVIC_InitTypeDef͵Ľṹ
	GPIO_InitTypeDef GPIO_InitStructure;							//һGPIO_InitTypeDef͵Ľṹ

	GPIO_StructInit(&GPIO_InitStructure);							//ʹĬֵʼGPIO_InitStructure
	
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_All;						//ѡҪƵGPIO
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IN;					//ģʽΪ
	GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_DOWN;					//
	GPIO_Init(GPIOA, &GPIO_InitStructure);							//ʼGPIO
	GPIO_Init(GPIOB, &GPIO_InitStructure);							//ʼGPIO
	GPIO_Init(GPIOC, &GPIO_InitStructure);							//ʼGPIO
	GPIO_Init(GPIOD, &GPIO_InitStructure);							//ʼGPIO
	
	
	EXTI_TriTypeConfig(EXTID,GPIO_Pin_6,EXTI_Trigger_LowLevel);	//ⲿжϴ
	EXTI_ITConfig(EXTID,GPIO_Pin_6,ENABLE);							//ⲿж
	
	
	/*NVIC*/
	NVIC_InitStruct.NVIC_IRQChannel = EXTID_IRQn;					//ж
	NVIC_InitStruct.NVIC_IRQChannelCmd = ENABLE;					//Ƿʹж
	NVIC_InitStruct.NVIC_IRQChannelPriority = 0x00;					//жȼ
	NVIC_Init(&NVIC_InitStruct);									//ʼNVIC
}

extern u8 time_count4;

int main (void)
{
	Software_Delay();												//CPUոչ磬ҪģʽҪ֤1ϵʱ,ڵȴڲ͹LDOȶ.......
	Switch_Interrupt_config();
	RCC->LCR = 0;														//رLSI	
    while(1)
	{
		Software_Delay();
		PWR_EnterSTANDBYMode(PWR_STANDBYEntry_WFI); 
		
		Software_Delay();

	}
}


#ifdef  USE_FULL_ASSERT
/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(u8* file, u32 line)
{
	/* User can add his own implementation to report the file name and line number,
	   ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */
	printf("Wrong parameters value: file %s on line %lu\r\n", file, line);
	/* Infinite loop */
	while (1)
	{
	}
}
#endif


