/******************************************************************************
  * @Example PT32x003_SYSTICK_Timer
  * @author  ӦÿŶ
  * @version V1.1.0
  * @date    2020/1/27
  * @brief   ͨsysTickжϣʵLEDÿ1˸һεЧ
  *          
  ******************************************************************************
  * @attention	ʹø̣				
  *							ҪϵJ17RGB_R,RGB_G,RGB_B̽
  *
  *****************************************************************************/
#include "PT32x003.h"
u32 TimingDelay;

/**
* @brief ϵͳδʱ SysTick
* @param 
* @retval 
*/
void SysTick_Init(void)
{
	u32 SYS_CLK=0;

	SYS_CLK = RCC_GetSYSCLKFreq();						//ϵͳʱ
	
	if (SysTick_Config(SYS_CLK / 10))					// 100msжһ
	{ 
		while (1);
	}
}

/**
* @brief ʱʱ
* @param 
* @retval 
*/
void Delay_time(__IO u32 nTime)
{ 
	TimingDelay = nTime;	
	
	SysTick->CTRL |=  SysTick_CTRL_ENABLE_Msk;			//ʹSYSTIC  

	while(TimingDelay != 0);
}

/**
* @brief ȡĳSysTickжϺ SysTick_Handler()
* @param 
* @retval 
*/
void TimingDelay_Decrement(void)
{
	if (TimingDelay != 0x00)
	{ 
		TimingDelay--;
	}
}

/**
* @brief LEDGPIO
* @param 
* @retval 
*/
void LED_Driver(void)
{
	GPIO_InitTypeDef GPIO_InitStructure;				//һGPIO_InitTypeDef͵Ľṹ
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_6;			//ѡҪƵGPIO
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OutPP;		//ģʽΪͨ
	GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_NOPULL;	//ƫ
	GPIO_Init(GPIOC, &GPIO_InitStructure);				//ʼGPIO
	GPIO_SetBits(GPIOC, GPIO_Pin_6);					//GPIO״̬
}

int main(void)
{
	LED_Driver();	 
	SysTick_Init(); 									//SysTickΪ100msжһ 
	while (1)
	{
		Delay_time(10);									//10*100ms=1s
		GPIO_SetBits(GPIOC, GPIO_Pin_6);				//Ϩ
	
		Delay_time(10);									//10*100ms=1s
		GPIO_ResetBits(GPIOC, GPIO_Pin_6); 				//Ƶ
		
	}
}


#ifdef  USE_FULL_ASSERT
/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(u8* file, u32 line)
{
	/* User can add his own implementation to report the file name and line number,
	   ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */
	printf("Wrong parameters value: file %s on line %lu\r\n", file, line);
	/* Infinite loop */
	while (1)
	{
	}
}
#endif

